package com.supServer.project.entity.vo;

import java.util.Date;

public class AttestationVo {
    /**
     * 用户id
     */
    private String userId;
    /**
     * 真实姓名
     */
    private String userName;
    /**
     * 电话
     */
    private String phone;
    /**
     * 企业类型
     */
    private String type;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 性别
     */
    private String sex;
    /**
     * 企业名称
     */
    private String companyName;
    /**
     * 统一社会信用代码
     */
    private String creditCode;
    /**
     * 法人
     */
    private String legalPerson;
    /**
     * 注册资本
     */
    private Double registeredCapital;
    /**
     * 成立日期
     */
    private Date registeredDate;
    /**
     * 注册地址
     */
    private String registeredAddress;
    /**
     * 办公地址
     */
    private String addressDetail;
    /**
     * 营业执照地址
     */
    private String licenseUrl;
    /**
     * 身份证地址
     */
    private String cardUrl;
    /**
     * 供应商类型
     */
    private Integer catId;
    /**
     * 承诺函
     */
    private String fileUrl;
    /**
     * 承诺函文件名称
     */
    private String fileName;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCreditCode() {
        return creditCode;
    }

    public void setCreditCode(String creditCode) {
        this.creditCode = creditCode;
    }

    public String getLegalPerson() {
        return legalPerson;
    }

    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }

    public Double getRegisteredCapital() {
        return registeredCapital;
    }

    public void setRegisteredCapital(Double registeredCapital) {
        this.registeredCapital = registeredCapital;
    }

    public Date getRegisteredDate() {
        return registeredDate;
    }

    public void setRegisteredDate(Date registeredDate) {
        this.registeredDate = registeredDate;
    }

    public String getRegisteredAddress() {
        return registeredAddress;
    }

    public void setRegisteredAddress(String registeredAddress) {
        this.registeredAddress = registeredAddress;
    }

    public String getAddressDetail() {
        return addressDetail;
    }

    public void setAddressDetail(String addressDetail) {
        this.addressDetail = addressDetail;
    }

    public String getLicenseUrl() {
        return licenseUrl;
    }

    public void setLicenseUrl(String licenseUrl) {
        this.licenseUrl = licenseUrl;
    }

    public String getCardUrl() {
        return cardUrl;
    }

    public void setCardUrl(String cardUrl) {
        this.cardUrl = cardUrl;
    }

    public Integer getCatId() {
        return catId;
    }

    public void setCatId(Integer catId) {
        this.catId = catId;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    @Override
    public String toString() {
        return "AttestationVo{" +
                "userId='" + userId + '\'' +
                ", userName='" + userName + '\'' +
                ", phone='" + phone + '\'' +
                ", type='" + type + '\'' +
                ", email='" + email + '\'' +
                ", sex='" + sex + '\'' +
                ", companyName='" + companyName + '\'' +
                ", creditCode='" + creditCode + '\'' +
                ", legalPerson='" + legalPerson + '\'' +
                ", registeredCapital=" + registeredCapital +
                ", registeredDate=" + registeredDate +
                ", registeredAddress='" + registeredAddress + '\'' +
                ", addressDetail='" + addressDetail + '\'' +
                ", licenseUrl='" + licenseUrl + '\'' +
                ", cardUrl='" + cardUrl + '\'' +
                ", catId=" + catId +
                ", fileUrl='" + fileUrl + '\'' +
                ", fileName='" + fileName + '\'' +
                '}';
    }
}
